Name:           gtkdatabox
Version:        1.0.0
Release:    1%{?dist}
Summary:        GTK+ widget for fast data display
License:        LGPLv2+
URL:            http://sourceforge.net/projects/gtkdatabox
Source0:         http://downloads.sourceforge.net/%{name}-1/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  gtk3-devel
BuildRequires:  pkgconfig
BuildRequires:  autoconf
BuildRequires:  glade-devel
BuildRequires:  make

%description
GtkDatabox is a widget for the GTK+ library designed to display
large amounts of numerical data fast and easy.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries, header files, and examples
for developing applications that use %{name}.

%package        glade
Summary:        Glade 3 support files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    glade
The %{name}-glade package contains support files for glade.

%prep
%autosetup

%build
autoconf
%configure \
  --disable-static \
  --enable-glade \
  LIBS="-lm"
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
iconv -f iso8859-1 -t utf-8 ChangeLog > ChangeLog.tmp && mv -f ChangeLog.tmp ChangeLog
%make_build

%install
rm -rf %{buildroot}
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%files
%doc AUTHORS ChangeLog NEWS README TODO
%license COPYING
%{_libdir}/libgtkdatabox*.so.*
%{_datadir}/icons/hicolor/scalable/apps/widget-gladedatabox-gtk_databox.svg
%{_datadir}/icons/hicolor/scalable/apps/widget-gladedatabox-gtk_databox_ruler.svg

%files devel
%doc examples/*.c
%{_includedir}/gtkdatabox*.h
%{_libdir}/libgtkdatabox.so
%{_libdir}/pkgconfig/gtkdatabox.pc
%dir %{_datadir}/gtk-doc/
%dir %{_datadir}/gtk-doc/html/
%doc %{_datadir}/gtk-doc/html/gtkdatabox-1/

%files glade
%{_libdir}/glade/modules/libgladedatabox.so
%{_datadir}/glade/catalogs/gtkdatabox.xml

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0-1
- initial build
